<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_c" name="index_c"></a>- c -</h3><ul>
<li>Class()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ab9c7f270c30fa505b1e5abc93a4541c5">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>ClassContentsToString()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2f67f04695515c3eff4e6c32f9065c00">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></li>
<li>ClassToString()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a09709927db21424c681e51320b42387d">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a6b878250f0c9e04fb15112f0e8d6794a">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a5ea4bb57e38ca1203269728cdb0f239c">xAPI_Definitions_Parser.Code.Python.PythonSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a206fb563116a4f6bddfa9344573b1ad2">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></li>
<li>CodeGenerator()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aa3d19f23be9da4092db9ec3a7e0069ae">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>CombinePaths()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a1aab124aa0905feecd6772e9776dc9ab">xAPI_Definitions_Parser.IO.FileManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html#ad41cef114b3dac9c1ff6610661e94fff">xAPI_Definitions_Parser.IO.GitLabManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a2c87d6605981596a5fc9ad1e6413a361">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>CommentToString()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a107b88ea78ec898dbe7cd547ae3cabaf">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a14561f2e02169cddfc516bd5e8db1a55">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a3c08fec67d2a822091c1bf3a42a1c3aa">xAPI_Definitions_Parser.Code.Python.PythonSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a408d4d8751db80de50b91d279afabceb">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></li>
<li>CompilationArguments()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html#a5316256fb2b796d58b590f4bed2ce6a1">xAPI_Definitions_Parser.Code.CompilationArguments</a></li>
<li>CompilationResult()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html#aa053f60d45dd9f27a233ff114d6fb926">xAPI_Definitions_Parser.Code.CompilationResult</a></li>
<li>Compile()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a96a5857e7ebda7a6dce56b547c5130e1">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#a9a5d28c427691f1bdabc1f83ffeb92cc">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#a42b4ffed455392d9644cfef3d647788e">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#a6f39847664726ea4184ef2a8cceb72af">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>Constructor()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a63b7fa51db95bed86a1d9ad30dd447b6">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a></li>
<li>ConstructorsToString()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a75509e47eca1ec9d4225a9bb08eaa86d">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></li>
<li>ConstructorToString()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a8882463bfbbeeb79429f191bb225ade3">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a7b7486cd14f9980f32281a06fba02aa0">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a357ab2f1163c6ec2a604a391ffc2ccd2">xAPI_Definitions_Parser.Code.Python.PythonSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a76950380d9ff5511bdbac078eebcf8a6">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></li>
<li>Context()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a044a0ab0abc5b5374c33547c60f1a076">xAPI_Definitions_Parser.IO.Context</a></li>
<li>CreateActivitiesImports()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#abacf586e2ee6aa81c37f60bac376c804">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#add11a7aac8d3bc6e582f30a26e843f62">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#a988b5cb7fdd647e7c7663ec4b1beb95d">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#a69deb1cccab03b88944e936a03f53bee">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>CreateContextExtensionsGetterBody()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a712694d4138e02cb4e68721e9f4086a3">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#aa20d59574f7b24a7e89a150f3cb65375">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#a57e70c71aef3d3836bbcb0a2a9327695">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#a9484c8c4b68c249177f3db462616dc6a">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>CreateContextExtensionsImports()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a5e7b094ae09bb7e1cdc7566008d0a841">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#a886d9dad0f9dc026faf691000a1bd042">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#a3e9de51a4b479aece0fe2d6b7de530e9">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#a5ef5eb392349273317a59cd0fd2c17ce">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>CreateContextImports()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#acf1d29a998e43d9c3603b46560fb208e">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#af70d274fa0f1fbec449eae8eb86de1ed">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#a34819dbdb8a9fe0f350e7cebe3f199b6">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#afe7b68b0a5a18ac3dc01e3612c97bad4">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>CreateDefinitionsClass&lt; T &gt;()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a0cc977ee09dc3d5fc617bfb3e6092371">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>CreateDefinitionsImports()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a4d40e04f7103fd1e4575ad59d2dbcbde">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#a5ae837e14528c7ebb66cabe348eb2c01">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#a75120eb22f130f5207057f79816221ca">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#ab717f261a79b3438e654c076d06b7bfd">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>CreateExtensionsImports()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#ab68832e2be6b7a54de021e3322ef771a">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#a791ece52fef2e1836f3147333a436880">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#aa07eb84515e42d9131f6fde80bea7224">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#abcb60ad56e61a88c73536f093577145b">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>CreateExtensionsMethodBody()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a0587ab1e96c0c2f2ee78cdb368caa128">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#a6ad24b203045a4883a240f886138491d">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#acecdc4e601777a2aeb12e44f12a162b5">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#adbe3df5f982f00ff655316fdb099d8c5">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>CreateExtensionsMethods()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a99357a3fd9fbcf0676eed144d32b17a6">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>CreateExtensionsProperties()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aaf31c9401db8a31de3445b76bde56443">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>CreateExtensionTypeImports()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a5030bab5973e21e88ee1502fb4516b73">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#a22c36727a8ab284624354c82833a6c27">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#a0db55684cb8542afd4ce12f3a8fc5e60">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#ada6a9f27785c3bb38c074f945794192b">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>CreateFileName()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a067fae9fddaf4e2d54aff598fff7aa28">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#ae69f42bd35bb961ce1c21f180894cafd">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#abac9cdd810660c7a1c1e4cc37eb53d5c">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>CreateVerbsImports()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aa0da4340ff4f9ae07649b1d34897cfcd">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#a5569507619c465d18be43dd4a5d02654">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#af3967b639db8a37cd8b75258cbe2084a">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#a59b654f8759642930dced00303829c8c">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>CSharpCompilationArguments()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments.html#a233e6f1b32c808366d3ccd23664715b1">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationArguments</a></li>
<li>CSharpCompilationResult()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html#a5f3fbd7ca0e9bd37656427a0e9e9a7e7">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationResult</a></li>
<li>CSharpGenerator()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#a789687266b26cb4edab2ca6a6077d958">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
